## ClutterSettings ClutterSettings — Settings configuration |

## Functions

ClutterSettings * | clutter_settings_get_default ()

## Properties

ClutterBackend * | backend | Write / Construct Only
gint | dnd-drag-threshold | Read / Write
gint | double-click-distance | Read / Write
gint | double-click-time | Read / Write
gint | font-antialias | Read / Write
gint | font-dpi | Read / Write
gchar * | font-hint-style | Read / Write
gint | font-hinting | Read / Write
gchar * | font-name | Read / Write
gchar * | font-subpixel-order | Read / Write
guint | fontconfig-timestamp | Write
gint | long-press-duration | Read / Write
guint | password-hint-time | Read / Write
gint | unscaled-font-dpi | Write
gint | window-scaling-factor | Read / Write

## Types and Values

| ClutterSettings

## Object Hierarchy

        GObject
        ╰── ClutterSettings

## Description

Clutter depends on some settings to perform operations like detecting multiple button press events, or font options to render text.

Usually, Clutter will strive to use the platform's settings in order to be as much integrated as possible. It is, however, possible to change these settings on a per-application basis, by using the ClutterSettings singleton object and setting its properties. It is also possible, for toolkit developers, to retrieve the settings from the ClutterSettings properties when implementing new UI elements, for instance the default font name.

ClutterSettings is available since Clutter 1.4

## Functions

### clutter_settings_get_default ()

    ClutterSettings *
    clutter_settings_get_default (void);

Retrieves the singleton instance of ClutterSettings

#### Returns

the instance of ClutterSettings. The returned object is owned by Clutter and it should not be unreferenced directly.

[transfer none]

Since: 1.4

## Types and Values

### ClutterSettings

    typedef struct _ClutterSettings ClutterSettings;

`ClutterSettings` is an opaque structure whose members cannot be directly accessed.

Since: 1.4

## Property Details

### The `“backend”` property

      “backend”                  ClutterBackend *

A back pointer to the ClutterBackend

`ClutterSettings:backend` has been deprecated since version 1.10 and should not be used in newly-written code.

Flags: Write / Construct Only

Since: 1.4

### The `“dnd-drag-threshold”` property

      “dnd-drag-threshold”       gint

The default distance that the cursor of a pointer device should travel before a drag operation should start.

Flags: Read / Write

Allowed values: >= 1

Default value: 8

Since: 1.8

### The `“double-click-distance”` property

      “double-click-distance”    gint

The maximum distance, in pixels, between button-press events that determines whether or not to increase the click count by 1.

Flags: Read / Write

Allowed values: >= 0

Default value: 5

Since: 1.4

### The `“double-click-time”` property

      “double-click-time”        gint

The time, in milliseconds, that should elapse between button-press events in order to increase the click count by 1.

Flags: Read / Write

Allowed values: >= 0

Default value: 250

Since: 1.4

### The `“font-antialias”` property

      “font-antialias”           gint

Whether or not to use antialiasing when rendering text; a value of 1 enables it unconditionally; a value of 0 disables it unconditionally; and -1 will use the system's default.

Flags: Read / Write

Allowed values: [-1,1]

Default value: -1

Since: 1.4

### The `“font-dpi”` property

      “font-dpi”                 gint

The DPI used when rendering text, as a value of 1024 * dots/inch.

If set to -1, the system's default will be used instead

Flags: Read / Write

Allowed values: [-1,1048576]

Default value: -1

Since: 1.4

### The `“font-hint-style”` property

      “font-hint-style”          gchar *

The style of the hinting used when rendering text. Valid values are:

- hintnone

- hintslight

- hintmedium

- hintfull

Flags: Read / Write

Default value: NULL

Since: 1.4

### The `“font-hinting”` property

      “font-hinting”             gint

Whether or not to use hinting when rendering text; a value of 1 unconditionally enables it; a value of 0 unconditionally disables it; and a value of -1 will use the system's default.

Flags: Read / Write

Allowed values: [-1,1]

Default value: -1

Since: 1.4

### The `“font-name”` property

      “font-name”                gchar *

The default font name that should be used by text actors, as a string that can be passed to `pango_font_description_from_string()`.

Flags: Read / Write

Default value: NULL

Since: 1.4

### The `“font-subpixel-order”` property

      “font-subpixel-order”      gchar *

The type of sub-pixel antialiasing used when rendering text. Valid values are:

- none

- rgb

- bgr

- vrgb

- vbgr

Flags: Read / Write

Default value: NULL

Since: 1.4

### The `“fontconfig-timestamp”` property

      “fontconfig-timestamp”     guint

Timestamp of the current fontconfig configuration.

Flags: Write

Default value: 0

### The `“long-press-duration”` property

      “long-press-duration”      gint

Sets the minimum duration for a press to be recognized as a long press gesture. The duration is expressed in milliseconds.

See also “long-press-duration”.

Flags: Read / Write

Allowed values: >= 0

Default value: 500

Since: 1.8

### The `“password-hint-time”` property

      “password-hint-time”       guint

How long to show the last input character in hidden entries.

Flags: Read / Write

Default value: 0

### The `“unscaled-font-dpi”` property

      “unscaled-font-dpi”        gint

The resolution of the font, in 1024 * dots/inch, or -1 to use the default.

Flags: Write

Allowed values: [-1,1048576]

Default value: -1

### The `“window-scaling-factor”` property

      “window-scaling-factor”    gint

The scaling factor to be applied to windows.

Flags: Read / Write

Allowed values: >= 1

Default value: 1